[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Fedora 10 conflicts (was: Re: Finding file conflicts)



On Wed, 22 Apr 2009 16:30:07 +0100, Peter wrote:

> > => zaptel-1.4.12.1-1.fc10.src.rpm
> > => zaptel-lib-1.4.12.1-1.fc10.i386 in fedora
> >  File conflict with: dahdi-tools-libs-2.0.0-1.fc10.i386
> >     /usr/lib/libtonezone.so.1.0
> >
> > => zaptel-1.4.12.1-1.fc10.src.rpm
> > => zaptel-utils-1.4.12.1-1.fc10.i386 in fedora
> >  File conflict with: dahdi-tools-2.0.0-1.fc10.i386
> >     /usr/sbin/fxotune
> >     /usr/share/man/man8/fxotune.8.gz
> 
> I believe one obsoletes the other 

Then they would not be in the report.
I've mentioned that my script evaluates Obsoletes/Conflicts tags.
The pkgs don't manage to replace eachother. Also see #472357
where I had reported a typo in the "Conflicts" tag as being the
culprit.

> so even though they conflict one
> will be replaced by the other as part of the upgrade process.

$ sudo yum -y install zaptel-lib dahdi-tools-libs
[...]
Transaction Check Error:
  file /usr/lib/libtonezone.so.1.0 conflicts between attempted installs of zapte
l-lib-1.4.12.1-1.fc10.i386 and dahdi-tools-libs-2.0.0-1.fc10.i386


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]